Index: ring__buffer_8h-source.html
===================================================================
--- ring__buffer_8h-source.html	(revision 240)
+++ ring__buffer_8h-source.html	(revision 241)
@@ -1,75 +1,72 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>libdragonfly: ring_buffer.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="modules.html"><span>Modules</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
-<h1>ring_buffer.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
-<a name="l00011"></a>00011 <span class="preprocessor">#ifndef _RING_BUFFER_H</span>
-<a name="l00012"></a>00012 <span class="preprocessor"></span><span class="preprocessor">#define _RING_BUFFER_H</span>
-<a name="l00013"></a>00013 <span class="preprocessor"></span>
-<a name="l00026"></a>00026 <span class="preprocessor">#define RING_BUFFER_NEW(struct_name, size, type, ...)   \</span>
-<a name="l00027"></a>00027 <span class="preprocessor">        struct struct_name {    \</span>
-<a name="l00028"></a>00028 <span class="preprocessor">                type queue[size];       \</span>
-<a name="l00029"></a>00029 <span class="preprocessor">                uint8_t start;                  \</span>
-<a name="l00030"></a>00030 <span class="preprocessor">                uint8_t end;                    \</span>
-<a name="l00031"></a>00031 <span class="preprocessor">                uint8_t buffer_size;                    \</span>
-<a name="l00032"></a>00032 <span class="preprocessor">        } __VA_ARGS__</span>
-<a name="l00033"></a>00033 <span class="preprocessor"></span>
-<a name="l00034"></a>00034 
-<a name="l00041"></a>00041 <span class="preprocessor">#define RING_BUFFER_INIT(buf, size)                     \</span>
-<a name="l00042"></a>00042 <span class="preprocessor">        do {                                                                            \</span>
-<a name="l00043"></a>00043 <span class="preprocessor">                (buf).buffer_size = size;                               \</span>
-<a name="l00044"></a>00044 <span class="preprocessor">        } while(0)</span>
-<a name="l00045"></a>00045 <span class="preprocessor"></span>
-<a name="l00046"></a>00046 
-<a name="l00051"></a>00051 <span class="preprocessor">#define RING_BUFFER_CLEAR(buf)  \</span>
-<a name="l00052"></a>00052 <span class="preprocessor">        do {                                            \</span>
-<a name="l00053"></a>00053 <span class="preprocessor">                (buf).start = 0;                \</span>
-<a name="l00054"></a>00054 <span class="preprocessor">                (buf).end = 0;                  \</span>
-<a name="l00055"></a>00055 <span class="preprocessor">        } while (0)</span>
-<a name="l00056"></a>00056 <span class="preprocessor"></span>
-<a name="l00061"></a>00061 <span class="preprocessor">#define RING_BUFFER_EMPTY(buf) ((buf).start == (buf).end)</span>
-<a name="l00062"></a>00062 <span class="preprocessor"></span>
-<a name="l00063"></a>00063 
-<a name="l00068"></a>00068 <span class="preprocessor">#define RING_BUFFER_FULL(buf)   \</span>
-<a name="l00069"></a>00069 <span class="preprocessor">                (((buf).end + 1) % (buf).buffer_size == (buf).start)</span>
-<a name="l00070"></a>00070 <span class="preprocessor"></span>
-<a name="l00071"></a>00071 
-<a name="l00079"></a>00079 <span class="preprocessor">#define RING_BUFFER_ADD(buf, val)               \</span>
-<a name="l00080"></a>00080 <span class="preprocessor">        do {                                                            \</span>
-<a name="l00081"></a>00081 <span class="preprocessor">                (buf).queue[(buf).end] = val;   \</span>
-<a name="l00082"></a>00082 <span class="preprocessor">                (buf).end = ((buf).end + 1) % (buf).buffer_size;        \</span>
-<a name="l00083"></a>00083 <span class="preprocessor">        } while (0)</span>
-<a name="l00084"></a>00084 <span class="preprocessor"></span>
-<a name="l00085"></a>00085 
-<a name="l00095"></a>00095 <span class="preprocessor">#define RING_BUFFER_REMOVE(buf, val_ret)        \</span>
-<a name="l00096"></a>00096 <span class="preprocessor">        do {    \</span>
-<a name="l00097"></a>00097 <span class="preprocessor">                (val_ret) = (buf).queue[(buf).start];   \</span>
-<a name="l00098"></a>00098 <span class="preprocessor">                (buf).start = ((buf).start + 1) % (buf).buffer_size;    \</span>
-<a name="l00099"></a>00099 <span class="preprocessor">        } while (0)</span>
-<a name="l00100"></a>00100 <span class="preprocessor"></span>
-<a name="l00109"></a>00109 <span class="preprocessor"> #define RING_BUFFER_PEEK(buf, val_ret)  \</span>
-<a name="l00110"></a>00110 <span class="preprocessor">  do { \</span>
-<a name="l00111"></a>00111 <span class="preprocessor">    (val_ret) = (buf).queue[(buf).start]; \</span>
-<a name="l00112"></a>00112 <span class="preprocessor">  } while(0)</span>
-<a name="l00113"></a>00113 <span class="preprocessor"></span>
-<a name="l00114"></a>00114 <span class="preprocessor">#endif </span><span class="comment">/* _RING_BUFFER_H */</span>
-<a name="l00115"></a>00115 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Wed Sep 26 17:39:30 2007 for libdragonfly by&nbsp;
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
+  </ul>
+</div>
+<h1>ring_buffer.h</h1><a href="ring__buffer_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
+<a name="l00038"></a>00038 <span class="preprocessor">#ifndef _RING_BUFFER_H</span>
+<a name="l00039"></a>00039 <span class="preprocessor"></span><span class="preprocessor">#define _RING_BUFFER_H</span>
+<a name="l00040"></a>00040 <span class="preprocessor"></span>
+<a name="l00053"></a><a class="code" href="ring__buffer_8h.html#883368e450d3596622905053d3b3ab83">00053</a> <span class="preprocessor">#define RING_BUFFER_NEW(struct_name, size, type, ...)   \</span>
+<a name="l00054"></a>00054 <span class="preprocessor">        struct struct_name {    \</span>
+<a name="l00055"></a>00055 <span class="preprocessor">                type queue[size];       \</span>
+<a name="l00056"></a>00056 <span class="preprocessor">                uint8_t start;                  \</span>
+<a name="l00057"></a>00057 <span class="preprocessor">                uint8_t end;                    \</span>
+<a name="l00058"></a>00058 <span class="preprocessor">                uint8_t buffer_size;                    \</span>
+<a name="l00059"></a>00059 <span class="preprocessor">        } __VA_ARGS__</span>
+<a name="l00060"></a>00060 <span class="preprocessor"></span>
+<a name="l00061"></a>00061 
+<a name="l00068"></a><a class="code" href="ring__buffer_8h.html#3c186ab6ff12fa96c18f6d064720cc2c">00068</a> <span class="preprocessor">#define RING_BUFFER_INIT(buf, size)                     \</span>
+<a name="l00069"></a>00069 <span class="preprocessor">        do {                                                                            \</span>
+<a name="l00070"></a>00070 <span class="preprocessor">                (buf).buffer_size = size;                               \</span>
+<a name="l00071"></a>00071 <span class="preprocessor">        } while(0)</span>
+<a name="l00072"></a>00072 <span class="preprocessor"></span>
+<a name="l00073"></a>00073 
+<a name="l00078"></a><a class="code" href="ring__buffer_8h.html#0ae5ca959a3b05583623551cc287a534">00078</a> <span class="preprocessor">#define RING_BUFFER_CLEAR(buf)  \</span>
+<a name="l00079"></a>00079 <span class="preprocessor">        do {                                            \</span>
+<a name="l00080"></a>00080 <span class="preprocessor">                (buf).start = 0;                \</span>
+<a name="l00081"></a>00081 <span class="preprocessor">                (buf).end = 0;                  \</span>
+<a name="l00082"></a>00082 <span class="preprocessor">        } while (0)</span>
+<a name="l00083"></a>00083 <span class="preprocessor"></span>
+<a name="l00088"></a><a class="code" href="ring__buffer_8h.html#19daf3026b69a26bb3d383b14ae90e23">00088</a> <span class="preprocessor">#define RING_BUFFER_EMPTY(buf) ((buf).start == (buf).end)</span>
+<a name="l00089"></a>00089 <span class="preprocessor"></span>
+<a name="l00090"></a>00090 
+<a name="l00095"></a><a class="code" href="ring__buffer_8h.html#2ed153688dc60c5503f2f7fdd2b73a4a">00095</a> <span class="preprocessor">#define RING_BUFFER_FULL(buf)   \</span>
+<a name="l00096"></a>00096 <span class="preprocessor">                (((buf).end + 1) % (buf).buffer_size == (buf).start)</span>
+<a name="l00097"></a>00097 <span class="preprocessor"></span>
+<a name="l00098"></a>00098 
+<a name="l00106"></a><a class="code" href="ring__buffer_8h.html#7708daab49219e2fd35534bc9cd15245">00106</a> <span class="preprocessor">#define RING_BUFFER_ADD(buf, val)               \</span>
+<a name="l00107"></a>00107 <span class="preprocessor">        do {                                                            \</span>
+<a name="l00108"></a>00108 <span class="preprocessor">                (buf).queue[(buf).end] = val;   \</span>
+<a name="l00109"></a>00109 <span class="preprocessor">                (buf).end = ((buf).end + 1) % (buf).buffer_size;        \</span>
+<a name="l00110"></a>00110 <span class="preprocessor">        } while (0)</span>
+<a name="l00111"></a>00111 <span class="preprocessor"></span>
+<a name="l00112"></a>00112 
+<a name="l00122"></a><a class="code" href="ring__buffer_8h.html#4a0f9de5ac14f60d678cda392921a629">00122</a> <span class="preprocessor">#define RING_BUFFER_REMOVE(buf, val_ret)        \</span>
+<a name="l00123"></a>00123 <span class="preprocessor">        do {    \</span>
+<a name="l00124"></a>00124 <span class="preprocessor">                (val_ret) = (buf).queue[(buf).start];   \</span>
+<a name="l00125"></a>00125 <span class="preprocessor">                (buf).start = ((buf).start + 1) % (buf).buffer_size;    \</span>
+<a name="l00126"></a>00126 <span class="preprocessor">        } while (0)</span>
+<a name="l00127"></a>00127 <span class="preprocessor"></span>
+<a name="l00136"></a><a class="code" href="ring__buffer_8h.html#6cb5596d0d7edccd628aca097f088f91">00136</a> <span class="preprocessor"> #define RING_BUFFER_PEEK(buf, val_ret)  \</span>
+<a name="l00137"></a>00137 <span class="preprocessor">  do { \</span>
+<a name="l00138"></a>00138 <span class="preprocessor">    (val_ret) = (buf).queue[(buf).start]; \</span>
+<a name="l00139"></a>00139 <span class="preprocessor">  } while(0)</span>
+<a name="l00140"></a>00140 <span class="preprocessor"></span>
+<a name="l00141"></a>00141 <span class="preprocessor">#endif </span><span class="comment">/* _RING_BUFFER_H */</span>
+<a name="l00142"></a>00142 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Thu Nov 8 23:15:40 2007 for libdragonfly by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>