Index: group__sensormatrix.html
===================================================================
--- group__sensormatrix.html	(revision 240)
+++ group__sensormatrix.html	(revision 241)
@@ -1,10 +1,10 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>libwireless: Sensor Matrix</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
@@ -11,7 +11,8 @@
     <li><a href="modules.html"><span>Modules</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>Sensor Matrix</h1>the robot sensor matrix  
 <a href="#_details">More...</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
@@ -56,38 +57,30 @@
 the robot sensor matrix 
 <p>
 These functions and structures are used for localization to determine the relative directions of robots. <hr><h2>Function Documentation</h2>
-<a class="anchor" name="g4a8cea8d7401802b8ef4f24768671cdb"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_add_robot" ref="g4a8cea8d7401802b8ef4f24768671cdb" args="(SensorMatrix *m, unsigned int id)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="g4a8cea8d7401802b8ef4f24768671cdb"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_add_robot" ref="g4a8cea8d7401802b8ef4f24768671cdb" args="(SensorMatrix *m, unsigned int id)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">void sensor_matrix_add_robot           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>m</em>, </td>
+          <td class="memname">void sensor_matrix_add_robot           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>unsigned int&nbsp;</td>
-          <td class="mdname" nowrap> <em>id</em></td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">unsigned int&nbsp;</td>
+          <td class="paramname"> <em>id</em></td><td>&nbsp;</td>
         </tr>
         <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Add a robot to a sensor matrix. 
@@ -99,64 +92,48 @@
     <tr><td valign="top"></td><td valign="top"><em>id</em>&nbsp;</td><td>the XBee ID of the robot to add </td></tr>
   </table>
 </dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="gdac971de8e0df3ed469c1e00b5d68ec3"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_create" ref="gdac971de8e0df3ed469c1e00b5d68ec3" args="(void)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+
+</div>
+</div><p>
+<a class="anchor" name="gdac971de8e0df3ed469c1e00b5d68ec3"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_create" ref="gdac971de8e0df3ed469c1e00b5d68ec3" args="(void)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a>* sensor_matrix_create           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname"><a class="el" href="structSensorMatrix.html">SensorMatrix</a>* sensor_matrix_create           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Create a sensor matrix. 
 <p>
 Initializes the sensor matrix.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>the newly created sensor matrix </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="g6125c1926243c789c9a22c7b7ca915f7"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_destroy" ref="g6125c1926243c789c9a22c7b7ca915f7" args="(SensorMatrix *m)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>the newly created sensor matrix </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="g6125c1926243c789c9a22c7b7ca915f7"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_destroy" ref="g6125c1926243c789c9a22c7b7ca915f7" args="(SensorMatrix *m)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">void sensor_matrix_destroy           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>m</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">void sensor_matrix_destroy           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Destroy a sensor matrix. 
@@ -167,41 +144,33 @@
     <tr><td valign="top"></td><td valign="top"><em>m</em>&nbsp;</td><td>the sensor matrix to delete </td></tr>
   </table>
 </dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="g44d31428ed9c7a0c98e2ecfc74a55469"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_get_in_ring" ref="g44d31428ed9c7a0c98e2ecfc74a55469" args="(SensorMatrix *m, int robot)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+
+</div>
+</div><p>
+<a class="anchor" name="g44d31428ed9c7a0c98e2ecfc74a55469"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_get_in_ring" ref="g44d31428ed9c7a0c98e2ecfc74a55469" args="(SensorMatrix *m, int robot)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int sensor_matrix_get_in_ring           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>m</em>, </td>
+          <td class="memname">int sensor_matrix_get_in_ring           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>robot</em></td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>robot</em></td><td>&nbsp;</td>
         </tr>
         <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Get whether the robot is in the sensor ring. 
@@ -213,33 +182,25 @@
     <tr><td valign="top"></td><td valign="top"><em>robot</em>&nbsp;</td><td>the ID of the robot to check</td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>1 if the robot is in the token ring, 0 otherwise </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="g48353450a17126cffa44bd894f087621"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_get_joined" ref="g48353450a17126cffa44bd894f087621" args="(SensorMatrix *m)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>1 if the robot is in the token ring, 0 otherwise </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="g48353450a17126cffa44bd894f087621"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_get_joined" ref="g48353450a17126cffa44bd894f087621" args="(SensorMatrix *m)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int sensor_matrix_get_joined           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>m</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">int sensor_matrix_get_joined           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Get the number of robots which have joined the token ring. 
@@ -250,48 +211,40 @@
     <tr><td valign="top"></td><td valign="top"><em>m</em>&nbsp;</td><td>the sensor matrix</td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>the number of robots in the token ring </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="gf8f7401b00608998b4cca34e3e5690b6"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_get_reading" ref="gf8f7401b00608998b4cca34e3e5690b6" args="(SensorMatrix *m, int observer, int robot)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>the number of robots in the token ring </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="gf8f7401b00608998b4cca34e3e5690b6"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_get_reading" ref="gf8f7401b00608998b4cca34e3e5690b6" args="(SensorMatrix *m, int observer, int robot)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int sensor_matrix_get_reading           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>m</em>, </td>
+          <td class="memname">int sensor_matrix_get_reading           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>observer</em>, </td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>observer</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>robot</em></td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>robot</em></td><td>&nbsp;</td>
         </tr>
         <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Get a reading in a sensor matrix. 
@@ -304,33 +257,25 @@
     <tr><td valign="top"></td><td valign="top"><em>robot</em>&nbsp;</td><td>the robot who we are checking the reading to</td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>the observer's BOM reading for robot </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="g1d799b72ee6274e5064e12e8dd17d493"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_get_size" ref="g1d799b72ee6274e5064e12e8dd17d493" args="(SensorMatrix *m)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>the observer's BOM reading for robot </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="g1d799b72ee6274e5064e12e8dd17d493"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_get_size" ref="g1d799b72ee6274e5064e12e8dd17d493" args="(SensorMatrix *m)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int sensor_matrix_get_size           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>m</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">int sensor_matrix_get_size           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Get the size of the sensor matrix. 
@@ -341,42 +286,34 @@
     <tr><td valign="top"></td><td valign="top"><em>m</em>&nbsp;</td><td>the sensor matrix</td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>the size of the sensor matrix </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="g616455f4c0801504984cc7f7cf49d980"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_remove_robot" ref="g616455f4c0801504984cc7f7cf49d980" args="(SensorMatrix *m, unsigned int id)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>the size of the sensor matrix </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="g616455f4c0801504984cc7f7cf49d980"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_remove_robot" ref="g616455f4c0801504984cc7f7cf49d980" args="(SensorMatrix *m, unsigned int id)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">void sensor_matrix_remove_robot           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>m</em>, </td>
+          <td class="memname">void sensor_matrix_remove_robot           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>unsigned int&nbsp;</td>
-          <td class="mdname" nowrap> <em>id</em></td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">unsigned int&nbsp;</td>
+          <td class="paramname"> <em>id</em></td><td>&nbsp;</td>
         </tr>
         <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Remove a robot from a sensor matrix. 
@@ -388,47 +325,39 @@
     <tr><td valign="top"></td><td valign="top"><em>id</em>&nbsp;</td><td>the XBee ID of the robot to remove </td></tr>
   </table>
 </dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="ga2039902278b82d75157f5ce30ba24a3"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_set_in_ring" ref="ga2039902278b82d75157f5ce30ba24a3" args="(SensorMatrix *m, int robot, int in)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+
+</div>
+</div><p>
+<a class="anchor" name="ga2039902278b82d75157f5ce30ba24a3"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_set_in_ring" ref="ga2039902278b82d75157f5ce30ba24a3" args="(SensorMatrix *m, int robot, int in)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">void sensor_matrix_set_in_ring           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>m</em>, </td>
+          <td class="memname">void sensor_matrix_set_in_ring           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>robot</em>, </td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>robot</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>in</em></td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>in</em></td><td>&nbsp;</td>
         </tr>
         <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set whether the robot is in the token ring. 
@@ -441,53 +370,45 @@
     <tr><td valign="top"></td><td valign="top"><em>in</em>&nbsp;</td><td>1 if the robot is in the token ring, 0 otherwise </td></tr>
   </table>
 </dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="g06977570b0c7b9628caeb5de012bbf22"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_set_reading" ref="g06977570b0c7b9628caeb5de012bbf22" args="(SensorMatrix *m, int observer, int robot, int reading)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+
+</div>
+</div><p>
+<a class="anchor" name="g06977570b0c7b9628caeb5de012bbf22"></a><!-- doxytag: member="sensor_matrix.h::sensor_matrix_set_reading" ref="g06977570b0c7b9628caeb5de012bbf22" args="(SensorMatrix *m, int observer, int robot, int reading)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">void sensor_matrix_set_reading           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>m</em>, </td>
+          <td class="memname">void sensor_matrix_set_reading           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="structSensorMatrix.html">SensorMatrix</a> *&nbsp;</td>
+          <td class="paramname"> <em>m</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>observer</em>, </td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>observer</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>robot</em>, </td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>robot</em>, </td>
         </tr>
         <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>reading</em></td>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>reading</em></td><td>&nbsp;</td>
         </tr>
         <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set a reading in a sensor matrix. 
@@ -501,11 +422,11 @@
     <tr><td valign="top"></td><td valign="top"><em>reading</em>&nbsp;</td><td>the BOM reading from observer to robot </td></tr>
   </table>
 </dl>
-    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Wed Oct 31 17:54:43 2007 for libwireless by&nbsp;
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Thu Nov 8 22:16:24 2007 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>