Index: structQueue.html
===================================================================
--- structQueue.html	(revision 240)
+++ structQueue.html	(revision 241)
@@ -1,23 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>libwireless: Queue Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="modules.html"><span>Modules</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>Queue Struct Reference<br>
 <small>
 [<a class="el" href="group__queue.html">Queue</a>,&nbsp;<a class="el" href="group__queue.html">Queue</a>]</small>
@@ -26,90 +27,64 @@
 <table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structnode__def.html">node_def</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structQueue.html#773cee3afdf5fbe12a225c48123b1e39">head</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <a class="el" href="structnode__def.html">node_def</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structQueue.html#773cee3afdf5fbe12a225c48123b1e39">head</a></td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structnode__def.html">node_def</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structQueue.html#85703d406e92d3aa92c3e9dbfd0e3007">tail</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <a class="el" href="structnode__def.html">node_def</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structQueue.html#85703d406e92d3aa92c3e9dbfd0e3007">tail</a></td></tr>
 
 <tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structQueue.html#c7d9701d244e3ba255ef8556e0562dc6">size</a></td></tr>
 
 </table>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
-Represents a queue, a first in, first out data structure. 
-<p>
-<hr><h2>Field Documentation</h2>
-<a class="anchor" name="773cee3afdf5fbe12a225c48123b1e39"></a><!-- doxytag: member="Queue::head" ref="773cee3afdf5fbe12a225c48123b1e39" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+Represents a queue, a first in, first out data structure. <hr><h2>Field Documentation</h2>
+<a class="anchor" name="773cee3afdf5fbe12a225c48123b1e39"></a><!-- doxytag: member="Queue::head" ref="773cee3afdf5fbe12a225c48123b1e39" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">struct <a class="el" href="structnode__def.html">node_def</a>* <a class="el" href="structQueue.html#773cee3afdf5fbe12a225c48123b1e39">Queue::head</a>          </td>
+          <td class="memname">struct <a class="el" href="structnode__def.html">node_def</a>* <a class="el" href="structQueue.html#773cee3afdf5fbe12a225c48123b1e39">Queue::head</a><code> [read]</code>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
-The head of the queue, the next item to be removed.     </td>
-  </tr>
-</table>
-<a class="anchor" name="c7d9701d244e3ba255ef8556e0562dc6"></a><!-- doxytag: member="Queue::size" ref="c7d9701d244e3ba255ef8556e0562dc6" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+The head of the queue, the next item to be removed. 
+</div>
+</div><p>
+<a class="anchor" name="85703d406e92d3aa92c3e9dbfd0e3007"></a><!-- doxytag: member="Queue::tail" ref="85703d406e92d3aa92c3e9dbfd0e3007" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structQueue.html#c7d9701d244e3ba255ef8556e0562dc6">Queue::size</a>          </td>
+          <td class="memname">struct <a class="el" href="structnode__def.html">node_def</a>* <a class="el" href="structQueue.html#85703d406e92d3aa92c3e9dbfd0e3007">Queue::tail</a><code> [read]</code>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
-The number of elements in the queue.     </td>
-  </tr>
-</table>
-<a class="anchor" name="85703d406e92d3aa92c3e9dbfd0e3007"></a><!-- doxytag: member="Queue::tail" ref="85703d406e92d3aa92c3e9dbfd0e3007" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+The tail of the queue, the last item added. 
+</div>
+</div><p>
+<a class="anchor" name="c7d9701d244e3ba255ef8556e0562dc6"></a><!-- doxytag: member="Queue::size" ref="c7d9701d244e3ba255ef8556e0562dc6" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">struct <a class="el" href="structnode__def.html">node_def</a>* <a class="el" href="structQueue.html#85703d406e92d3aa92c3e9dbfd0e3007">Queue::tail</a>          </td>
+          <td class="memname">int <a class="el" href="structQueue.html#c7d9701d244e3ba255ef8556e0562dc6">Queue::size</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
-The tail of the queue, the last item added.     </td>
-  </tr>
-</table>
+The number of elements in the queue. 
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following file:<ul>
 <li><a class="el" href="queue_8h-source.html">queue.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Wed Oct 31 17:54:43 2007 for libwireless by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Thu Nov 8 22:16:25 2007 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>