Index: wl__token__ring_8h-source.html
===================================================================
--- wl__token__ring_8h-source.html	(revision 241)
+++ wl__token__ring_8h-source.html	(revision 242)
@@ -14,32 +14,32 @@
   </ul>
 </div>
 <h1>wl_token_ring.h</h1><a href="wl__token__ring_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
-<a name="l00010"></a>00010 <span class="preprocessor">#ifndef WL_TOKEN_RING_H</span>
-<a name="l00011"></a>00011 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_RING_H</span>
-<a name="l00012"></a>00012 <span class="preprocessor"></span>
-<a name="l00025"></a>00025 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#g7bfd97ec1f89b442b278bbcddc6b6ee1" title="Register the token ring group with the wireless library.">wl_token_ring_register</a>(<span class="keywordtype">void</span>);
-<a name="l00027"></a>00027 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#gde3dd682b6a757bab6ce4cbc9c518f8e" title="Unregister the token ring group with the wirelss library.">wl_token_ring_unregister</a>(<span class="keywordtype">void</span>);
-<a name="l00029"></a>00029 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#g0c407d5c215a97d58c67006bcc6e53ce" title="Set the functions called to turn the bom on and off.">wl_token_ring_set_bom_functions</a>(<span class="keywordtype">void</span> (*on_function) (<span class="keywordtype">void</span>), 
-<a name="l00030"></a>00030                 <span class="keywordtype">void</span> (*off_function) (<span class="keywordtype">void</span>), <span class="keywordtype">int</span> (*max_bom_function) (<span class="keywordtype">void</span>));
-<a name="l00031"></a>00031 
-<a name="l00033"></a>00033 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#gbdb1e2258d1c69086692d2d31e02fb27" title="Join the token ring.">wl_token_ring_join</a>(<span class="keywordtype">void</span>);
-<a name="l00035"></a>00035 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#g6c2dd8742e100f63d4fb002707d1e85a" title="Leave the token ring.">wl_token_ring_leave</a>(<span class="keywordtype">void</span>);
-<a name="l00036"></a>00036 
-<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#g0c61bb8892aa5513706e00cd8ce5ca8b" title="Return the number of robots in the token ring.">wl_token_get_robots_in_ring</a>(<span class="keywordtype">void</span>);
-<a name="l00040"></a>00040 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#g14e005f0b9582eca7e3585f247c4cd72" title="Return whether a given robot is in the token ring.">wl_token_is_robot_in_ring</a>(<span class="keywordtype">int</span> robot);
-<a name="l00041"></a>00041 
-<a name="l00043"></a>00043 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#g37ab9fb00e9eef273b4d0fcda81a2620" title="Begin iterating through robots in the token ring.">wl_token_iterator_begin</a>(<span class="keywordtype">void</span>);
-<a name="l00045"></a>00045 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#gbd7dc40ee796a67e1160b2b2b8e7d02f" title="Returns whether there are more robots to iterate through.">wl_token_iterator_has_next</a>(<span class="keywordtype">void</span>);
-<a name="l00047"></a>00047 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#gd9196324178877770d8ffc91d40893c3" title="Returns the ID of the next robot in the token ring.">wl_token_iterator_next</a>(<span class="keywordtype">void</span>);
-<a name="l00048"></a>00048 
-<a name="l00050"></a>00050 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#gb4afd4b8e034d22d415f3c4a42a652fc" title="Return the latest BOM reading between two robots.">wl_token_get_sensor_reading</a>(<span class="keywordtype">int</span> source, <span class="keywordtype">int</span> dest);
-<a name="l00052"></a>00052 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#g1938c1d79dd9438dcd413d6d26372877" title="Return the latest BOM reading between us and another robot.">wl_token_get_my_sensor_reading</a>(<span class="keywordtype">int</span> dest);
-<a name="l00054"></a>00054 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#gf0d311d4feae71afc8bcb0b8c8e6ba57" title="Return the number of robots in the sensor matrix.">wl_token_get_num_robots</a>(<span class="keywordtype">void</span>);
-<a name="l00056"></a>00056 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#g5fe1508968d450a970b0d5417a06431d" title="Return the number of non-null elements in the sensor matrix.">wl_token_get_matrix_size</a>(<span class="keywordtype">void</span>);
-<a name="l00057"></a>00057  <span class="comment">//end token ring group</span>
-<a name="l00059"></a>00059 
-<a name="l00060"></a>00060 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Thu Nov 8 22:16:24 2007 for libwireless by&nbsp;
+<a name="l00035"></a>00035 <span class="preprocessor">#ifndef WL_TOKEN_RING_H</span>
+<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="preprocessor">#define WL_TOKEN_RING_H</span>
+<a name="l00037"></a>00037 <span class="preprocessor"></span>
+<a name="l00050"></a>00050 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#g7bfd97ec1f89b442b278bbcddc6b6ee1" title="Register the token ring group with the wireless library.">wl_token_ring_register</a>(<span class="keywordtype">void</span>);
+<a name="l00052"></a>00052 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#gde3dd682b6a757bab6ce4cbc9c518f8e" title="Unregister the token ring group with the wirelss library.">wl_token_ring_unregister</a>(<span class="keywordtype">void</span>);
+<a name="l00054"></a>00054 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#g0c407d5c215a97d58c67006bcc6e53ce" title="Set the functions called to turn the bom on and off.">wl_token_ring_set_bom_functions</a>(<span class="keywordtype">void</span> (*on_function) (<span class="keywordtype">void</span>), 
+<a name="l00055"></a>00055                 <span class="keywordtype">void</span> (*off_function) (<span class="keywordtype">void</span>), <span class="keywordtype">int</span> (*max_bom_function) (<span class="keywordtype">void</span>));
+<a name="l00056"></a>00056 
+<a name="l00058"></a>00058 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#gbdb1e2258d1c69086692d2d31e02fb27" title="Join the token ring.">wl_token_ring_join</a>(<span class="keywordtype">void</span>);
+<a name="l00060"></a>00060 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#g6c2dd8742e100f63d4fb002707d1e85a" title="Leave the token ring.">wl_token_ring_leave</a>(<span class="keywordtype">void</span>);
+<a name="l00061"></a>00061 
+<a name="l00063"></a>00063 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#g0c61bb8892aa5513706e00cd8ce5ca8b" title="Return the number of robots in the token ring.">wl_token_get_robots_in_ring</a>(<span class="keywordtype">void</span>);
+<a name="l00065"></a>00065 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#g14e005f0b9582eca7e3585f247c4cd72" title="Return whether a given robot is in the token ring.">wl_token_is_robot_in_ring</a>(<span class="keywordtype">int</span> robot);
+<a name="l00066"></a>00066 
+<a name="l00068"></a>00068 <span class="keywordtype">void</span> <a class="code" href="group__tokenring.html#g37ab9fb00e9eef273b4d0fcda81a2620" title="Begin iterating through robots in the token ring.">wl_token_iterator_begin</a>(<span class="keywordtype">void</span>);
+<a name="l00070"></a>00070 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#gbd7dc40ee796a67e1160b2b2b8e7d02f" title="Returns whether there are more robots to iterate through.">wl_token_iterator_has_next</a>(<span class="keywordtype">void</span>);
+<a name="l00072"></a>00072 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#gd9196324178877770d8ffc91d40893c3" title="Returns the ID of the next robot in the token ring.">wl_token_iterator_next</a>(<span class="keywordtype">void</span>);
+<a name="l00073"></a>00073 
+<a name="l00075"></a>00075 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#gb4afd4b8e034d22d415f3c4a42a652fc" title="Return the latest BOM reading between two robots.">wl_token_get_sensor_reading</a>(<span class="keywordtype">int</span> source, <span class="keywordtype">int</span> dest);
+<a name="l00077"></a>00077 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#g1938c1d79dd9438dcd413d6d26372877" title="Return the latest BOM reading between us and another robot.">wl_token_get_my_sensor_reading</a>(<span class="keywordtype">int</span> dest);
+<a name="l00079"></a>00079 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#gf0d311d4feae71afc8bcb0b8c8e6ba57" title="Return the number of robots in the sensor matrix.">wl_token_get_num_robots</a>(<span class="keywordtype">void</span>);
+<a name="l00081"></a>00081 <span class="keywordtype">int</span> <a class="code" href="group__tokenring.html#g5fe1508968d450a970b0d5417a06431d" title="Return the number of non-null elements in the sensor matrix.">wl_token_get_matrix_size</a>(<span class="keywordtype">void</span>);
+<a name="l00082"></a>00082  <span class="comment">//end token ring group</span>
+<a name="l00084"></a>00084 
+<a name="l00085"></a>00085 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Thu Nov 8 23:27:22 2007 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>