Index: lcd.c
===================================================================
--- lcd.c	(revision 276)
+++ lcd.c	(revision 277)
@@ -58,102 +58,102 @@
 */
 static const unsigned char FontLookup [][5] =
 {
-    { 0x00, 0x00, 0x00, 0x00, 0x00 },  // sp
-    { 0x00, 0x00, 0x5f, 0x00, 0x00 },   // !
-    { 0x00, 0x07, 0x00, 0x07, 0x00 },   // "
-    { 0x14, 0x7f, 0x14, 0x7f, 0x14 },   // #
-    { 0x24, 0x2a, 0x7f, 0x2a, 0x12 },   // $
-    { 0x23, 0x13, 0x08, 0x64, 0x62 },   // %
-    { 0x36, 0x49, 0x55, 0x22, 0x50 },   // &
-    { 0x00, 0x05, 0x03, 0x00, 0x00 },   // '
-    { 0x00, 0x1c, 0x22, 0x41, 0x00 },   // (
-    { 0x00, 0x41, 0x22, 0x1c, 0x00 },   // )
-    { 0x14, 0x08, 0x3E, 0x08, 0x14 },   // *
-    { 0x08, 0x08, 0x3E, 0x08, 0x08 },   // +
-    { 0x00, 0x00, 0x50, 0x30, 0x00 },   // ,
-    { 0x10, 0x10, 0x10, 0x10, 0x10 },   // -
-    { 0x00, 0x60, 0x60, 0x00, 0x00 },   // .
-    { 0x20, 0x10, 0x08, 0x04, 0x02 },   // /
-    { 0x3E, 0x51, 0x49, 0x45, 0x3E },   // 0
-    { 0x00, 0x42, 0x7F, 0x40, 0x00 },   // 1
-    { 0x42, 0x61, 0x51, 0x49, 0x46 },   // 2
-    { 0x21, 0x41, 0x45, 0x4B, 0x31 },   // 3
-    { 0x18, 0x14, 0x12, 0x7F, 0x10 },   // 4
-    { 0x27, 0x45, 0x45, 0x45, 0x39 },   // 5
-    { 0x3C, 0x4A, 0x49, 0x49, 0x30 },   // 6
-    { 0x01, 0x71, 0x09, 0x05, 0x03 },   // 7
-    { 0x36, 0x49, 0x49, 0x49, 0x36 },   // 8
-    { 0x06, 0x49, 0x49, 0x29, 0x1E },   // 9
-    { 0x00, 0x36, 0x36, 0x00, 0x00 },   // :
-    { 0x00, 0x56, 0x36, 0x00, 0x00 },   // ;
-    { 0x08, 0x14, 0x22, 0x41, 0x00 },   // <
-    { 0x14, 0x14, 0x14, 0x14, 0x14 },   // =
-    { 0x00, 0x41, 0x22, 0x14, 0x08 },   // >
-    { 0x02, 0x01, 0x51, 0x09, 0x06 },   // ?
-    { 0x32, 0x49, 0x59, 0x51, 0x3E },   // @
-    { 0x7E, 0x11, 0x11, 0x11, 0x7E },   // A
-    { 0x7F, 0x49, 0x49, 0x49, 0x36 },   // B
-    { 0x3E, 0x41, 0x41, 0x41, 0x22 },   // C
-    { 0x7F, 0x41, 0x41, 0x22, 0x1C },   // D
-    { 0x7F, 0x49, 0x49, 0x49, 0x41 },   // E
-    { 0x7F, 0x09, 0x09, 0x09, 0x01 },   // F
-    { 0x3E, 0x41, 0x49, 0x49, 0x7A },   // G
-    { 0x7F, 0x08, 0x08, 0x08, 0x7F },   // H
-    { 0x00, 0x41, 0x7F, 0x41, 0x00 },   // I
-    { 0x20, 0x40, 0x41, 0x3F, 0x01 },   // J
-    { 0x7F, 0x08, 0x14, 0x22, 0x41 },   // K
-    { 0x7F, 0x40, 0x40, 0x40, 0x40 },   // L
-    { 0x7F, 0x02, 0x0C, 0x02, 0x7F },   // M
-    { 0x7F, 0x04, 0x08, 0x10, 0x7F },   // N
-    { 0x3E, 0x41, 0x41, 0x41, 0x3E },   // O
-    { 0x7F, 0x09, 0x09, 0x09, 0x06 },   // P
-    { 0x3E, 0x41, 0x51, 0x21, 0x5E },   // Q
-    { 0x7F, 0x09, 0x19, 0x29, 0x46 },   // R
-    { 0x46, 0x49, 0x49, 0x49, 0x31 },   // S
-    { 0x01, 0x01, 0x7F, 0x01, 0x01 },   // T
-    { 0x3F, 0x40, 0x40, 0x40, 0x3F },   // U
-    { 0x1F, 0x20, 0x40, 0x20, 0x1F },   // V
-    { 0x3F, 0x40, 0x38, 0x40, 0x3F },   // W
-    { 0x63, 0x14, 0x08, 0x14, 0x63 },   // X
-    { 0x07, 0x08, 0x70, 0x08, 0x07 },   // Y
-    { 0x61, 0x51, 0x49, 0x45, 0x43 },   // Z
-    { 0x00, 0x7F, 0x41, 0x41, 0x00 },   // [
-    { 0x02, 0x04, 0x08, 0x10, 0x20 },   // backslash
-    { 0x00, 0x41, 0x41, 0x7F, 0x00 },   // ]
-    { 0x04, 0x02, 0x01, 0x02, 0x04 },   // ^
-    { 0x40, 0x40, 0x40, 0x40, 0x40 },   // _
-    { 0x00, 0x01, 0x02, 0x04, 0x00 },   // '
-    { 0x20, 0x54, 0x54, 0x54, 0x78 },   // a
-    { 0x7F, 0x48, 0x44, 0x44, 0x38 },   // b
-    { 0x38, 0x44, 0x44, 0x44, 0x20 },   // c
-    { 0x38, 0x44, 0x44, 0x48, 0x7F },   // d
-    { 0x38, 0x54, 0x54, 0x54, 0x18 },   // e
-    { 0x08, 0x7E, 0x09, 0x01, 0x02 },   // f
-    { 0x0C, 0x52, 0x52, 0x52, 0x3E },   // g
-    { 0x7F, 0x08, 0x04, 0x04, 0x78 },   // h
-    { 0x00, 0x44, 0x7D, 0x40, 0x00 },   // i
-    { 0x20, 0x40, 0x44, 0x3D, 0x00 },   // j
-    { 0x7F, 0x10, 0x28, 0x44, 0x00 },   // k
-    { 0x00, 0x41, 0x7F, 0x40, 0x00 },   // l
-    { 0x7C, 0x04, 0x18, 0x04, 0x78 },   // m
-    { 0x7C, 0x08, 0x04, 0x04, 0x78 },   // n
-    { 0x38, 0x44, 0x44, 0x44, 0x38 },   // o
-    { 0x7C, 0x14, 0x14, 0x14, 0x08 },   // p
-    { 0x08, 0x14, 0x14, 0x18, 0x7C },   // q
-    { 0x7C, 0x08, 0x04, 0x04, 0x08 },   // r
-    { 0x48, 0x54, 0x54, 0x54, 0x20 },   // s
-    { 0x04, 0x3F, 0x44, 0x40, 0x20 },   // t
-    { 0x3C, 0x40, 0x40, 0x20, 0x7C },   // u
-    { 0x1C, 0x20, 0x40, 0x20, 0x1C },   // v
-    { 0x3C, 0x40, 0x30, 0x40, 0x3C },   // w
-    { 0x44, 0x28, 0x10, 0x28, 0x44 },   // x
-    { 0x0C, 0x50, 0x50, 0x50, 0x3C },   // y
-    { 0x44, 0x64, 0x54, 0x4C, 0x44 },    // z
-    { 0x00, 0x08, 0x36, 0x41, 0x41 },   // {
-    { 0x00, 0x00, 0x7F, 0x00, 0x00 },   // |
-    { 0x41, 0x41, 0x36, 0x08, 0x00 },   // }
-    { 0x02, 0x01, 0x01, 0x02, 0x01 },   // ~
-    { 0x55, 0x2A, 0x55, 0x2A, 0x55 },   // del
+  { 0x00, 0x00, 0x00, 0x00, 0x00 },  // sp
+  { 0x00, 0x00, 0x5f, 0x00, 0x00 },   // !
+  { 0x00, 0x07, 0x00, 0x07, 0x00 },   // "
+  { 0x14, 0x7f, 0x14, 0x7f, 0x14 },   // #
+  { 0x24, 0x2a, 0x7f, 0x2a, 0x12 },   // $
+  { 0x23, 0x13, 0x08, 0x64, 0x62 },   // %
+  { 0x36, 0x49, 0x55, 0x22, 0x50 },   // &
+  { 0x00, 0x05, 0x03, 0x00, 0x00 },   // '
+  { 0x00, 0x1c, 0x22, 0x41, 0x00 },   // (
+  { 0x00, 0x41, 0x22, 0x1c, 0x00 },   // )
+  { 0x14, 0x08, 0x3E, 0x08, 0x14 },   // *
+  { 0x08, 0x08, 0x3E, 0x08, 0x08 },   // +
+  { 0x00, 0x00, 0x50, 0x30, 0x00 },   // ,
+  { 0x10, 0x10, 0x10, 0x10, 0x10 },   // -
+  { 0x00, 0x60, 0x60, 0x00, 0x00 },   // .
+  { 0x20, 0x10, 0x08, 0x04, 0x02 },   // /
+  { 0x3E, 0x51, 0x49, 0x45, 0x3E },   // 0
+  { 0x00, 0x42, 0x7F, 0x40, 0x00 },   // 1
+  { 0x42, 0x61, 0x51, 0x49, 0x46 },   // 2
+  { 0x21, 0x41, 0x45, 0x4B, 0x31 },   // 3
+  { 0x18, 0x14, 0x12, 0x7F, 0x10 },   // 4
+  { 0x27, 0x45, 0x45, 0x45, 0x39 },   // 5
+  { 0x3C, 0x4A, 0x49, 0x49, 0x30 },   // 6
+  { 0x01, 0x71, 0x09, 0x05, 0x03 },   // 7
+  { 0x36, 0x49, 0x49, 0x49, 0x36 },   // 8
+  { 0x06, 0x49, 0x49, 0x29, 0x1E },   // 9
+  { 0x00, 0x36, 0x36, 0x00, 0x00 },   // :
+  { 0x00, 0x56, 0x36, 0x00, 0x00 },   // ;
+  { 0x08, 0x14, 0x22, 0x41, 0x00 },   // <
+  { 0x14, 0x14, 0x14, 0x14, 0x14 },   // =
+  { 0x00, 0x41, 0x22, 0x14, 0x08 },   // >
+  { 0x02, 0x01, 0x51, 0x09, 0x06 },   // ?
+  { 0x32, 0x49, 0x59, 0x51, 0x3E },   // @
+  { 0x7E, 0x11, 0x11, 0x11, 0x7E },   // A
+  { 0x7F, 0x49, 0x49, 0x49, 0x36 },   // B
+  { 0x3E, 0x41, 0x41, 0x41, 0x22 },   // C
+  { 0x7F, 0x41, 0x41, 0x22, 0x1C },   // D
+  { 0x7F, 0x49, 0x49, 0x49, 0x41 },   // E
+  { 0x7F, 0x09, 0x09, 0x09, 0x01 },   // F
+  { 0x3E, 0x41, 0x49, 0x49, 0x7A },   // G
+  { 0x7F, 0x08, 0x08, 0x08, 0x7F },   // H
+  { 0x00, 0x41, 0x7F, 0x41, 0x00 },   // I
+  { 0x20, 0x40, 0x41, 0x3F, 0x01 },   // J
+  { 0x7F, 0x08, 0x14, 0x22, 0x41 },   // K
+  { 0x7F, 0x40, 0x40, 0x40, 0x40 },   // L
+  { 0x7F, 0x02, 0x0C, 0x02, 0x7F },   // M
+  { 0x7F, 0x04, 0x08, 0x10, 0x7F },   // N
+  { 0x3E, 0x41, 0x41, 0x41, 0x3E },   // O
+  { 0x7F, 0x09, 0x09, 0x09, 0x06 },   // P
+  { 0x3E, 0x41, 0x51, 0x21, 0x5E },   // Q
+  { 0x7F, 0x09, 0x19, 0x29, 0x46 },   // R
+  { 0x46, 0x49, 0x49, 0x49, 0x31 },   // S
+  { 0x01, 0x01, 0x7F, 0x01, 0x01 },   // T
+  { 0x3F, 0x40, 0x40, 0x40, 0x3F },   // U
+  { 0x1F, 0x20, 0x40, 0x20, 0x1F },   // V
+  { 0x3F, 0x40, 0x38, 0x40, 0x3F },   // W
+  { 0x63, 0x14, 0x08, 0x14, 0x63 },   // X
+  { 0x07, 0x08, 0x70, 0x08, 0x07 },   // Y
+  { 0x61, 0x51, 0x49, 0x45, 0x43 },   // Z
+  { 0x00, 0x7F, 0x41, 0x41, 0x00 },   // [
+  { 0x02, 0x04, 0x08, 0x10, 0x20 },   // backslash
+  { 0x00, 0x41, 0x41, 0x7F, 0x00 },   // ]
+  { 0x04, 0x02, 0x01, 0x02, 0x04 },   // ^
+  { 0x40, 0x40, 0x40, 0x40, 0x40 },   // _
+  { 0x00, 0x01, 0x02, 0x04, 0x00 },   // '
+  { 0x20, 0x54, 0x54, 0x54, 0x78 },   // a
+  { 0x7F, 0x48, 0x44, 0x44, 0x38 },   // b
+  { 0x38, 0x44, 0x44, 0x44, 0x20 },   // c
+  { 0x38, 0x44, 0x44, 0x48, 0x7F },   // d
+  { 0x38, 0x54, 0x54, 0x54, 0x18 },   // e
+  { 0x08, 0x7E, 0x09, 0x01, 0x02 },   // f
+  { 0x0C, 0x52, 0x52, 0x52, 0x3E },   // g
+  { 0x7F, 0x08, 0x04, 0x04, 0x78 },   // h
+  { 0x00, 0x44, 0x7D, 0x40, 0x00 },   // i
+  { 0x20, 0x40, 0x44, 0x3D, 0x00 },   // j
+  { 0x7F, 0x10, 0x28, 0x44, 0x00 },   // k
+  { 0x00, 0x41, 0x7F, 0x40, 0x00 },   // l
+  { 0x7C, 0x04, 0x18, 0x04, 0x78 },   // m
+  { 0x7C, 0x08, 0x04, 0x04, 0x78 },   // n
+  { 0x38, 0x44, 0x44, 0x44, 0x38 },   // o
+  { 0x7C, 0x14, 0x14, 0x14, 0x08 },   // p
+  { 0x08, 0x14, 0x14, 0x18, 0x7C },   // q
+  { 0x7C, 0x08, 0x04, 0x04, 0x08 },   // r
+  { 0x48, 0x54, 0x54, 0x54, 0x20 },   // s
+  { 0x04, 0x3F, 0x44, 0x40, 0x20 },   // t
+  { 0x3C, 0x40, 0x40, 0x20, 0x7C },   // u
+  { 0x1C, 0x20, 0x40, 0x20, 0x1C },   // v
+  { 0x3C, 0x40, 0x30, 0x40, 0x3C },   // w
+  { 0x44, 0x28, 0x10, 0x28, 0x44 },   // x
+  { 0x0C, 0x50, 0x50, 0x50, 0x3C },   // y
+  { 0x44, 0x64, 0x54, 0x4C, 0x44 },    // z
+  { 0x00, 0x08, 0x36, 0x41, 0x41 },   // {
+  { 0x00, 0x00, 0x7F, 0x00, 0x00 },   // |
+  { 0x41, 0x41, 0x36, 0x08, 0x00 },   // }
+  { 0x02, 0x01, 0x01, 0x02, 0x01 },   // ~
+  { 0x55, 0x2A, 0x55, 0x2A, 0x55 },   // del
 };
 
 
@@ -172,31 +172,31 @@
  **/
 void lcd_init(void)
 {
-	LCDDDR |= (SCE | SDI | SCK);
-	LCDRESETDDR |= (RST|D_C);
+  LCDDDR |= (SCE | SDI | SCK);
+  LCDRESETDDR |= (RST|D_C);
 
-	LCDPORT &= ~( SCE | SDI | SCK);
-	LCDRESETPORT &=~(D_C);
+  LCDPORT &= ~( SCE | SDI | SCK);
+  LCDRESETPORT &=~(D_C);
 
-	SPCR |= 0x50;//0b01010000; // no SPI int, SPI en, Master, sample on rising edge, fosc/2
-	SPSR |= 0x01;       // a continuation of the above
+  SPCR |= 0x50;//0b01010000; // no SPI int, SPI en, Master, sample on rising edge, fosc/2
+  SPSR |= 0x01;       // a continuation of the above
 
-	LCDRESETPORT |= RST;
-	delay_ms(10);
-	LCDRESETPORT &= (~RST);
-	delay_ms(100);
-	LCDRESETPORT |= RST;
+  LCDRESETPORT |= RST;
+  delay_ms(10);
+  LCDRESETPORT &= (~RST);
+  delay_ms(100);
+  LCDRESETPORT |= RST;
 
-	lcd_putbyte( 0x21 );  // LCD Extended Commands.
-	lcd_putbyte( 0xC8 );  // Set LCD Vop (Contrast).
-	lcd_putbyte( 0x06 );  // Set Temp coefficent.
-	lcd_putbyte( 0x13 );  // LCD bias mode 1:48.
-	lcd_putbyte( 0x20 );  // LCD Standard Commands, Horizontal addressing mode.
-	lcd_putbyte( 0x0C );  // LCD in normal mode.
+  lcd_putbyte( 0x21 );  // LCD Extended Commands.
+  lcd_putbyte( 0xC8 );  // Set LCD Vop (Contrast).
+  lcd_putbyte( 0x06 );  // Set Temp coefficent.
+  lcd_putbyte( 0x13 );  // LCD bias mode 1:48.
+  lcd_putbyte( 0x20 );  // LCD Standard Commands, Horizontal addressing mode.
+  lcd_putbyte( 0x0C );  // LCD in normal mode.
 
-	LCDRESETPORT |= D_C;		//put it in init instead of main
+  LCDRESETPORT |= D_C;    //put it in init instead of main
 
-	lcd_clear_screen();
+  lcd_clear_screen();
 }
 
 /**
@@ -205,11 +205,12 @@
  * @see lcd_init
  **/
 void lcd_clear_screen( void ) {
-	int i;
-	for (i = 0; i < 504; i++)
-		lcd_putbyte(0x0);
+  int i;
+  for (i = 0; i < 504; i++) {
+    lcd_putbyte(0x0);
+  }
 
-	lcd_gotoxy(0,0);
+  lcd_gotoxy(0,0);
 }
 
 /**
@@ -222,11 +223,13 @@
  **/
 void lcd_putc(char c)
 {
-	int i;
+  int i;
 
-	for (i = 0; i < 5; i++)
-		lcd_putbyte(FontLookup[c-32][i]);
-	lcd_putbyte(0);
+  for (i = 0; i < 5; i++) {
+    lcd_putbyte(FontLookup[c-32][i]);
+  }
+
+  lcd_putbyte(0);
 }
 
 /*
@@ -234,12 +237,11 @@
 */
 void lcd_puts(char *s)
 {
-	char *t = s;
-	while (*t != 0)
-	{
-		lcd_putc(*t);
-		t++;
-	}
+  char *t = s;
+  while (*t != 0) {
+    lcd_putc(*t);
+    t++;
+  }
 }
 
 /*
@@ -263,10 +265,10 @@
  **/
 void lcd_gotoxy(int x, int y)
 {
-	LCDRESETPORT &= ~(D_C);
-	lcd_putbyte(0x40 | (y & 0x07));
-	lcd_putbyte(0x80 | (x & 0x7f));
-	LCDRESETPORT |= D_C;
+  LCDRESETPORT &= ~(D_C);
+  lcd_putbyte(0x40 | (y & 0x07));
+  lcd_putbyte(0x80 | (x & 0x7f));
+  LCDRESETPORT |= D_C;
 }
 
 /*
@@ -285,18 +287,22 @@
  **/
 void lcd_puti(int value )
 {
-	unsigned char lcd_data[6]={'0','0','0','0','0','0' }, position=sizeof(lcd_data), radix=10;
+  unsigned char lcd_data[6]={'0','0','0','0','0','0' }, position=sizeof(lcd_data), radix=10;
 
-        /* convert int to ascii  */
-        if(value<0) { lcd_putc('-'); value=-value; }
-        do { position--; *(lcd_data+position)=(value%radix)+'0'; value/=radix;  } while(value);
+  /* convert int to ascii  */
+  if (value<0) {
+    lcd_putc('-');
+    value=-value;
+  }
 
+  do { position--; *(lcd_data+position)=(value%radix)+'0'; value/=radix;  } while(value);
 
-        /* start displaying the number */
-        for(;position<=(sizeof(lcd_data)-1);position++)
-		lcd_putc(lcd_data[position]);
+  /* start displaying the number */
+  for(; position <= (sizeof(lcd_data)-1); position++) {
+    lcd_putc(lcd_data[position]);
+  }
 
-	return;
+  return;
 }
 
 /** @} **/ //end defgroup
@@ -303,7 +309,8 @@
 
 void lcd_putbyte(unsigned char b)
 {
-	SPDR = b;
-	while (!(SPSR & 0x80)); /* Wait until SPI transaction is complete */
+  SPDR = b;
+
+  /* Wait until SPI transaction is complete */
+  while (!(SPSR & 0x80));
 }
-